hifrog - Bug #4687

gfira/uf/prop gives wrong result for claim 1 of /main-bench/Funfrog15_bench/s3.c
07/03/2017 10:55 - Sepideh Asadi

Status: Closed Start date: 07/03/2017
Priority: Normal Due date:

Assignee: Karine Even Mendoza % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

/hifrog --claim 1 --unwind 1 ~/dev/hi-bench/main-bench/Funfrog15_bench/token.c --logic gflra
Hifrog gives VERIFICATION FAILED for claim 1 in logic gflra/uf/prop

the correct result of claim 1: VERIFICATION Successful

History

#1 - 09/03/2017 20:50 - Karine Even Mendoza
- Assignee set to Karine Even Mendoza

- % Done changed from 0 to 100

globals issues

#2 - 14/03/2017 14:34 - Karine Even Mendoza

- Status changed from New to Resolved

#3 - 01/04/2017 00:21 - Karine Even Mendoza

- Status changed from Resolved to Closed

Seems to be ok now

Processing a deferred function: is_transmit9_triggered
Processing a deferred function: is_transmit10_triggered
Processing a deferred function: is_transmit11_triggered
Processing a deferred function: is_transmit12_triggered
Processing a deferred function: is_transmit13_triggered
SYMEX TIME: 2.405

All SSA steps: 11336

Ignored SSA steps after slice: 6530

SLICER TIME: 0.014

; 0] 0 0| 3.200s|122.168 MB

; 210 | 56 56| 9.420s|124.855 MB

; 331| 145 145] 11.260s| 124.984 MB
CONVERSION TIME: 0.108

SOLVER TIME: 9.181

RESULT: UNSAT - it holds!

Start generating interpolants...

INTERPOLATION TIME: 3.907

VERIFICATION SUCCESSFUL

ASSERTION HOLDInitial unwinding bound: 1

Total number of steps: 1

TOTAL TIME FOR CHECKING THIS CLAIM: 15.644

#X: Done.

karinek@karinek-VirtualBox:~/workspace/tools/hi-bench$ ./../hifrog_theory_ref/hifrog/trunk/cprover/src/funfrog/hifrog --claim 1 --unwind 1
main-bench/Funfrog15_bench/token.c --logic gflra
